Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class Result

    java.lang.Object
      org.pentaho.di.core.Result

All Implemented Interfaces:
  Cloneable

    public class Result

extends Object
implements Cloneable

Result describes the result of the execution of a Transformation or a Job. Using this, the Result can be evaluated after execution.

Since:
  05-11-2003
Author:
  Matt

Field Summary
`boolean` | `stopped`
`static String` | `XML_FILE_TAG`
`static String` | `XML_FILES_TAG`
`static String` | `XML_ROWS_TAG`
`static String` | `XML_TAG`

Constructor Summary
`Result()`
`Result(int nr)`
`Result(Node node)`

Method Summary
`void` | `add(Result res)` Add the NrOfLines from a different result to this result
`void` | `clear()` Clear the numbers in this result, set them all to 0
`Result` | `clone()`
`long` | `getEntryNr()`
`int` | `getExitStatus()`
`long` | `getNrErrors()`
`long` | `getNrFilesRetrieved()`
`long` | `getNrLinesDeleted()`
`long` | `getNrLinesInput()`
`long` | `getNrLinesOutput()`
`long` | `getNrLinesRead()`
`long` | `getNrLinesRejected()`
`long` | `getNrLinesUpdated()`
`long` | `getNrLinesWritten()`
`boolean` | `getResult()`
`Map<String,ResultFile>` | `getResultFiles()`
`List<ResultFile>` | `getResultFilesList()`
`List<RowMetaAndData>` | `getRows()`
`String` | `getXML()`
`boolean` | `isStopped()`
`void` | `setEntryNr(long entryNr)`
`void` | `setExitStatus(int exitStatus)`
`void` | `setNrErrors(long nrErrors)`
`void` | `setNrFilesRetrieved(long filesRetrieved)`
`void` | `setNrLinesDeleted(long nrLinesDeleted)`
`void` | `setNrLinesInput(long nrLinesInput)`
`void` | `setNrLinesOutput(long nrLinesOutput)`
`void` | `setNrLinesRead(long nrLinesRead)`
`void` | `setNrLinesRejected(long nrLinesRejected)`
`void` | `setNrLinesUpdated(long nrLinesUpdated)`
`void` | `setNrLinesWritten(long nrLinesWritten)`
`void` | `setResult(boolean result)`
`void` | `setResultFiles(Map<String,ResultFile> usedFiles)`
`void` | `setRows(List<RowMetaAndData> rows)`
`void` | `setStopped(boolean stopped)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### XML_FILES_TAG

    public static final String XML_FILES_TAG

See Also:
  Constant Field Values

### XML_FILE_TAG

    public static final String XML_FILE_TAG

See Also:
  Constant Field Values

### XML_ROWS_TAG

    public static final String XML_ROWS_TAG

See Also:
  Constant Field Values

### stopped

    public boolean stopped

Constructor Detail

### Result

    public Result()

### Result

    public Result(int nr)

### Result

    public Result(Node node)
           throws IOException

Throws:
  `IOException`

Method Detail

### clone

    public Result clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getNrFilesRetrieved

    public long getNrFilesRetrieved()

  Returns:
    Returns the number of files retrieved.

### setNrFilesRetrieved

    public void setNrFilesRetrieved(long filesRetrieved)

  Parameters:
    `filesRetrieved` - The number of files retrieved to set.

### getEntryNr

    public long getEntryNr()

  Returns:
    Returns the entryNr.

### setEntryNr

    public void setEntryNr(long entryNr)

  Parameters:
    `entryNr` - The entryNr to set.

### getExitStatus

    public int getExitStatus()

  Returns:
    Returns the exitStatus.

### setExitStatus

    public void setExitStatus(int exitStatus)

  Parameters:
    `exitStatus` - The exitStatus to set.

### getNrErrors

    public long getNrErrors()

  Returns:
    Returns the nrErrors.

### setNrErrors

    public void setNrErrors(long nrErrors)

  Parameters:
    `nrErrors` - The nrErrors to set.

### getNrLinesInput

    public long getNrLinesInput()

  Returns:
    Returns the nrLinesInput.

### setNrLinesInput

    public void setNrLinesInput(long nrLinesInput)

  Parameters:
    `nrLinesInput` - The nrLinesInput to set.

### getNrLinesOutput

    public long getNrLinesOutput()

  Returns:
    Returns the nrLinesOutput.

### setNrLinesOutput

    public void setNrLinesOutput(long nrLinesOutput)

  Parameters:
    `nrLinesOutput` - The nrLinesOutput to set.

### getNrLinesRead

    public long getNrLinesRead()

  Returns:
    Returns the nrLinesRead.

### setNrLinesRead

    public void setNrLinesRead(long nrLinesRead)

  Parameters:
    `nrLinesRead` - The nrLinesRead to set.

### getNrLinesUpdated

    public long getNrLinesUpdated()

  Returns:
    Returns the nrLinesUpdated.

### setNrLinesUpdated

    public void setNrLinesUpdated(long nrLinesUpdated)

  Parameters:
    `nrLinesUpdated` - The nrLinesUpdated to set.

### getNrLinesWritten

    public long getNrLinesWritten()

  Returns:
    Returns the nrLinesWritten.

### setNrLinesWritten

    public void setNrLinesWritten(long nrLinesWritten)

  Parameters:
    `nrLinesWritten` - The nrLinesWritten to set.

### getNrLinesDeleted

    public long getNrLinesDeleted()

  Returns:
    Returns the nrLinesDeleted.

### setNrLinesDeleted

    public void setNrLinesDeleted(long nrLinesDeleted)

  Parameters:
    `nrLinesDeleted` - The nrLinesDeleted to set.

### getResult

    public boolean getResult()

  Returns:
    Returns the result.

### setResult

    public void setResult(boolean result)

  Parameters:
    `result` - The result to set.

### getRows

    public List<RowMetaAndData> getRows()

  Returns:
    Returns the rows.

### setRows

    public void setRows(List<RowMetaAndData> rows)

  Parameters:
    `rows` - The rows to set.

### isStopped

    public boolean isStopped()

  Returns:
    Returns the stopped.

### setStopped

    public void setStopped(boolean stopped)

  Parameters:
    `stopped` - The stopped to set.

### clear

    public void clear()

  Clear the numbers in this result, set them all to 0

### add

    public void add(Result res)

  Add the NrOfLines from a different result to this result

  Parameters:
    `res` - The result to add

### getXML

    public String getXML()
                  throws IOException

  Returns:
    This Result object serialized as XML
  Throws:
    `IOException`

### getResultFiles

    public Map<String,ResultFile> getResultFiles()

  Returns:
    Returns the result files. This is a Map with String as key and ResultFile as value.

### getResultFilesList

    public List<ResultFile> getResultFilesList()

  Returns:
    Returns the result files. This is a list of type ResultFile

### setResultFiles

    public void setResultFiles(Map<String,ResultFile> usedFiles)

  Parameters:
    `usedFiles` - The list of result files to set. This is a list of type ResultFile

### getNrLinesRejected

    public long getNrLinesRejected()

  Returns:
    the nrLinesRejected

### setNrLinesRejected

    public void setNrLinesRejected(long nrLinesRejected)

  Parameters:
    `nrLinesRejected` - the nrLinesRejected to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD